#
# spec file for package gnome-main-menu (Version 0.6.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel NetworkManager NetworkManager-devel NetworkManager-glib aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations dhcdbd dhcp dhcp-client diffutils e2fsprogs esound esound-devel evolution-data-server expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-desktop gnome-desktop-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-menus gnome-menus-devel gnome-panel gnome-panel-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool iproute2 klogd krb5 less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libcroco libcroco-devel libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libgsf libgsf-devel libgsf-gnome libgtop libgtop-devel libidn libjpeg libjpeg-devel libnl libnscd libpng libpng-devel librsvg librsvg-devel libsoup libstdc++ libsvg libsvg-cairo libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools mozilla-nspr mozilla-nss ncurses ncurses-devel net-tools netcfg nscd openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python python-cairo python-devel python-gtk python-numeric qt3 rcs readline resmgr rpm scrollkeeper sed shared-mime-info startup-notification startup-notification-devel strace sysconfig sysfsutils sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools wpa_supplicant xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnome-main-menu
BuildRequires:  NetworkManager-devel NetworkManager-glib gnome-common gnome-desktop-devel gnome-menus-devel gnome-panel-devel gnutls-devel intltool libgnomeprintui-devel libgtop-devel libidn librsvg-devel libwnck-devel mDNSResponder-devel perl-XML-Parser python-devel python-gtk qt3 scrollkeeper update-desktop-files wireless-tools
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        0.6.1
Release:        0.6
Summary:        The GNOME Desktop Menu
Source:         %{name}-%{version}.tar.gz
Patch0:         %{name}-license.patch
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem gconf2
Requires:       gnome-panel dbus-1-glib hal tango-icon-theme libgnomesu gnome-terminal zen-updater gnome-system-monitor wireless-tools

%description
The GNOME Desktop Menu and Application Browser.



Authors:
--------
    Scott Reeves <sreeves@novell.com>
    Jimmy Krehl <jimmyk@novell.com>

%debug_package
%package devel
Summary:        The GNOME Desktop Menu
Group:          System/GUI/GNOME
Autoreqprov:    on
Requires:       %{name} = %{version} gtk2-devel libgnomeui-devel libbonoboui-devel libglade2-devel librsvg-devel
Requires:       gnome-desktop-devel gnome-menus-devel glib2-devel pango-devel

%description devel
The GNOME Desktop Menu and Application Browser.



Authors:
--------
    Scott Reeves <sreeves@novell.com>
    Jimmy Krehl <jimmyk@novell.com>

%prep
%setup -n gnome-main-menu-%{version}
%patch0 -p1

%build
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --libexecdir=%prefix/lib/%name \
    --sysconfdir=%sysconfdir
make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%find_lang %{name}
mkdir $RPM_BUILD_ROOT/%{prefix}/share/autostart
cp application-browser/etc/application-browser.desktop $RPM_BUILD_ROOT/%{prefix}/share/autostart/
sed -i "/^Exec=/ s/application-browser *$/application-browser -h/" $RPM_BUILD_ROOT/%{prefix}/share/autostart/application-browser.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
# For SLES the default "Favorite Apps" list is different.
if [[ -e /etc/SuSE-release && `grep 'SUSE Linux Enterprise Server' /etc/SuSE-release` ]] ; then
	cat <<EOF | patch -p0;
--- etc/opt/gnome/gconf/schemas/slab.schemas	2006-05-22 16:34:43.000000000 -0400
+++ etc/opt/gnome/gconf/schemas/slab.schemas	2006-05-24 15:54:41.000000000 -0400
@@ -6,7 +6,7 @@
 			<owner>gnome-main-menu</owner>
 			<type>list</type>
 			<list_type>string</list_type>
-			<default>[MozillaFirefox.desktop,evolution.desktop,banshee.desktop,writer.desktop,f-spot.desktop,nautilus-home.desktop]</default>
+			<default>[MozillaFirefox.desktop,YaST.desktop,gnome-terminal.desktop,nautilus-home.desktop]</default>
 			<locale name="C">
 				<short>.desktop files for "Favorite Applications"</short>
 				<long>.desktop files for "Favorite Applications"</long>
EOF
fi
opt/gnome/bin/gconftool-2 --shutdown
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/slab.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/control-center.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/application-browser.schemas >/dev/null
%run_ldconfig

%postun
%run_ldconfig

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{sysconfdir}/gconf/schemas/slab.schemas
%{sysconfdir}/gconf/schemas/control-center.schemas
%{sysconfdir}/gconf/schemas/application-browser.schemas
%{prefix}/lib/%{name}
%{prefix}/bin/application-browser
%{prefix}/bin/control-center
%{prefix}/%{_lib}/bonobo/servers/GNOME_MainMenu.server
%{prefix}/%{_lib}/*.so.*
%{prefix}/share/applications/application-browser.desktop
%{prefix}/share/applications/control-center.desktop
%{prefix}/share/applications/main-menu-rug.desktop
%{prefix}/share/gnome-2.0/ui/GNOME_MainMenu_ContextMenu.xml
%{prefix}/share/autostart/application-browser.desktop
%dir %{prefix}/share/locale/lo
%dir %{prefix}/share/locale/lo/LC_MESSAGES
%dir %{prefix}/share/locale/en_IGID
%dir %{prefix}/share/locale/en_IGID/LC_MESSAGES
# %{prefix}/share/locale/*/LC_MESSAGES/*.mo

%files devel
%defattr (-, root, root)
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/%{_lib}/*.*a
%{prefix}/%{_lib}/*.so
%{prefix}/include/slab

%changelog -n gnome-main-menu
* Tue Jun 27 2006 - sreeves@suse.de
- Fix for 175645 - update po files to latest lcn for missing translations
* Fri Jun 23 2006 - jimmyk@suse.de
- Added a patch to fix empty COPYING file, BNC #187871.
* Mon Jun 19 2006 - sreeves@suse.de
- Fix for 175646 - error in Japanese po file
  Fix for 177414 - more memory leaks
* Mon Jun 19 2006 - jimmyk@suse.de
- Make the main-menu respect the /apps/nautilus/preferences/enable_delete key,
  BNC #183636.
- Added functionality to remove entries from ~/.recently-used when a user
  deletes/trashes a document from the main-menu (BNC #181704) and rewrites
  ~/.recently-used when a user renames a file with the main-menu (BNC #183638).
  Additionally, make the main-menu less naive about these operations if they
  fail (BNC #185170).
* Sat Jun 17 2006 - jimmyk@suse.de
- Added a keyboard grab to the main-menu, BNC #185462.
- Memory leak fixes, BNC #177414.
* Fri Jun 09 2006 - jimmyk@suse.de
- main-menu/src/document-tile.c:
  Switched the "Send To" trigger from using g_spawn_async with a full command
  line as one string to using the argv array.  This prevents the shell from
  having to parse potentially problematic strings, BNC #183045.
  Additionally, make the "Send To" menu option insensitive if the file is not
  local, BNC #183190.
* Sat Jun 03 2006 - sreeves@suse.de
- More improvements for 180305 - AB crash when gconf key zero
* Thu Jun 01 2006 - sreeves@suse.de
- Fix for 180305 - AB crash when gconf key newapps equals zero
  Also found an existing string that was not marked for translation
* Wed May 31 2006 - jimmyk@suse.de
- main-menu/src/document-tile.c:
  Cleaned up some memory issues for BNC #177862, BNC #177414, BNC #177756.
  Also made sure that a DocumentTile always at least has a default icon,
  "gnome-fs-regular".
- main-menu/src/main-menu.c
  main-menu/src/network-status-tile.c:
  Incorporated a patch submitted by Zhe Su for BNC #179578.  The network
  information dialog uses a glade file from the NetworkManager package, this
  patch ensures that the localization is taken from the NetworkManager domain
  instead of the gnome-main-menu domain.
* Wed May 31 2006 - zsu@suse.de
- bugzilla #179578. Load localized network connection dialog correctly
  by using "NetworkManager" domain when creating glade object.
* Tue May 23 2006 - sreeves@suse.de
- Fix for 177807 - main menu crash
  Partial fix for 175646 - added a translator comment to control-center.schemas.in
  and applied patch to POTFILES.in
* Thu May 18 2006 - jimmyk@suse.de
- Added support for the /desktop/gnome/lockdown/disable_command_line key in the
  main-menu.  Any .desktop file with the TerminalEmulator category will not be
  display if this key is TRUE.  Also added support for the
  /apps/panel/global/disable_{lock_screen,log_out} keys.  BNC #172687.
- Changed gconf schema defaults nautilus.desktop to nautilus-home.desktop, BNC
  [#176381].
- Fixed null pointer deference behind BNC #176709.  Also fixed an related
  but unreported bug -- when dragging a launcher from outside the
  main-menu onto a "Favorite App" that launcher was not added to the
  Favorite Apps list.
* Wed May 17 2006 - jimmyk@suse.de
- Fix for BNC #142932.  Added file monitors to application tiles to turn
  themselves on and off if the underlying .desktop file {dis,re}appears.
  Added functionality to the TileTable widget in the main-menu to
  automatically handle this new application tile behavior.
* Thu May 11 2006 - jimmyk@suse.de
- Fix for BNC #152992
  keyboard shortcut alt-f1 shows the panel menu instead of the slab
* Fri May 05 2006 - jimmyk@suse.de
- Fix for BNC #171114
  Slab/Main Menu "blue" area excessively wide with long ESSIDs
* Wed May 03 2006 - jimmyk@suse.de
- Fix for BNC #171100
  Gnome Main Menu spacing
* Wed May 03 2006 - jimmyk@suse.de
- Fix for BNC #170704, BNC #171131.
* Tue May 02 2006 - jimmyk@suse.de
- Fix for BNC #170356, BNC #158503, BNC #170702, BNC #168643
* Tue Apr 25 2006 - sreeves@suse.de
- Fix for 168630 - scrolling problem
* Sun Apr 23 2006 - aj@suse.de
- Fix build.
* Fri Apr 21 2006 - jimmyk@suse.de
- Applied i18n patch.
* Wed Apr 19 2006 - sreeves@suse.de
- Fix for 146557 - CC font cropping
* Wed Apr 19 2006 - sbrabec@suse.cz
- Updated I18N patch (#157379).
* Tue Apr 18 2006 - jimmyk@suse.de
- Fix for BNC #138730.
* Tue Apr 18 2006 - sbrabec@suse.cz
- Updated translations: de, es, fi, fr, it, ja, pl, pt_BR, zh_CN,
  zh_TW.
* Fri Apr 14 2006 - jimmyk@suse.de
- Fix for BNC #160191, BNC #146300
  160191: Rearranging icons in "Recently used" adds the item to
  Favorite Apps
  146300: A few incorrect labels in the main menu
* Mon Apr 10 2006 - sreeves@suse.de
- Fix for #136989, #158253, #158820, Update color/position of group selection
  136989, 158253 - eliminate duplicate entries
  158820 - previous selection highlight bug
* Mon Apr 10 2006 - sbrabec@suse.cz
- Translations update.
- Devel dependencies update.
* Tue Apr 04 2006 - jimmyk@suse.de
- Fix for BNC #163264, possible fix for BNC #162466, BNC #162920.
  163264: gnome-main-menu crashes on resume from suspend-to-ram
  162466: slab: crash
  162920: main menu hang
* Wed Mar 29 2006 - sbrabec@suse.cz
- I18N fixes (#157379).
- Added Hungarian translation and some dumb translations.
* Mon Mar 27 2006 - jimmyk@suse.de
- Fix network status tile, BNC #158173.
* Fri Mar 24 2006 - sbrabec@suse.cz
- Added Czech translation.
- Fixed devel dependencies.
* Wed Mar 15 2006 - jimmyk@suse.de
- Update to new NM applet info dialog UI.
- Add an about dialog to the panel item.
* Mon Mar 13 2006 - jimmyk@suse.de
- Adjust AB colors
* Mon Mar 13 2006 - jimmyk@suse.de
- Fix for 156846, 154780.
- Fix for BNC #139617.
* Sat Mar 11 2006 - jimmyk@suse.de
- Removed beagle-gui dependency
- Fix for BNC #157166
* Thu Mar 09 2006 - jimmyk@suse.de
- Fix network connection info dialog
- Added broken icon reloading for BNC #148034
* Mon Mar 06 2006 - jimmyk@suse.de
- Change evolution-2.6.desktop to evolution.desktop
- Remove NM install dependency
* Sat Mar 04 2006 - jimmyk@suse.de
- Fix for BNC #154440, #154266, #149735, update to new NM API
* Tue Feb 28 2006 - jimmyk@suse.de
- Fix for BNC #152405
* Thu Feb 23 2006 - jimmyk@suse.de
- Fix for multiple AB launches.  Fix for BNC #152173.
* Sun Feb 19 2006 - aj@suse.de
- Fix filelist.
* Fri Feb 17 2006 - gekker@suse.de
- Make names of menu in add to panel applet less confusing (#137006)
* Fri Feb 17 2006 - jimmyk@suse.de
- Fix for BNC #150012, Fixes for the 2006-02-17 walkthrough.
* Wed Feb 15 2006 - jimmyk@suse.de
- Fix for BNC #149031
* Wed Feb 08 2006 - jimmyk@suse.de
- Fix submission error.
* Mon Feb 06 2006 - jimmyk@suse.de
- Fix for BNC #143115, BNC #146041
* Thu Feb 02 2006 - joeshaw@suse.de
- Require beagle-gui, rather than beagle for correctness.
* Tue Jan 31 2006 - jpr@suse.de
- Fix files list for new language
* Mon Jan 30 2006 - jimmyk@suse.de
- Update to version 0.2.8
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - jimmyk@suse.de
- Update to version 0.2.7
* Mon Jan 16 2006 - jimmyk@suse.de
- Update to version 0.2.6
* Fri Jan 13 2006 - gekker@suse.de
- Requires: holmes -> beagle, that code is in beagle now
* Mon Jan 09 2006 - sreeves@suse.de
- Update to version 0.2.5
* Thu Dec 22 2005 - sreeves@suse.de
- Update to version 0.2.4
* Mon Dec 19 2005 - jimmyk@suse.de
- Update to version 0.2.3
* Mon Dec 12 2005 - sreeves@suse.de
- Fix for #138022 - app browser shown on startup
* Sat Dec 10 2005 - sreeves@suse.de
- Move to single click launch and singleton instance
* Fri Dec 09 2005 - jimmyk@suse.de
- Update to version 0.2.0 (Recently Used Apps debut)
* Thu Dec 01 2005 - jimmyk@suse.de
- Update to version 0.1.1
* Wed Nov 23 2005 - sreeves@suse.de
- install new apps schema
* Fri Nov 18 2005 - jpr@suse.de
- Prequire gconf and filesystem
- Install schemas with makefile-install-rule
* Wed Nov 16 2005 - jimmyk@suse.de
- Update to version 0.0.9
* Tue Nov 15 2005 - jpr@suse.de
- Patch to default to best as the search tool for now
* Thu Nov 10 2005 - gekker@suse.de
- Update to version 0.0.8
* Mon Oct 31 2005 - gekker@suse.de
- Update to version 0.0.7
* Fri Oct 28 2005 - gekker@suse.de
- Fix build on x86_64
* Thu Oct 27 2005 - gekker@suse.de
- Initial import of package into autobuild, Version 0.0.6
